<?php include 'top-links.php'; ?>
<?php include 'top-header.php'; ?>

<?php include 'sidebar.php'; ?>
<section class="content-wrapper">
	<div class="main-content">
		<div class="container-fluid">
			<h2 class="sitehdng">Book A Taxi</h2>
			<div class="card">
				<div class="card-body p-0">
					<div class="topbook-srch d-flexbtwn">
						<div class="bookfields">
							<div class="row">
								<div class="col-md-4">
									<div class="form-group">
										<label>Select Route</label>
										<select class="form-control select2" onchange="return getParts(this.value)">
											<option value="">Choose an option</option>
											<option value="Babrala To Noida">Babrala To Noida</option>
											<option value="Aligarh To Delhi">Aligarh To Delhi</option>
										</select>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-group">
										<label>Booking Type</label>
										<select class="form-control select2">
											<option value="Choose an option">Choose an option</option>
											<option value="">Personal</option>
											<option value="">Official Guest</option>
										</select>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4">
									<div class="form-group">
										<label>Pick up location </label>
										<input type="text" class="form-control" placeholder="Pick Up Location"
											id="pickup_location" disabled>
										<div class="formicon grn">
											<i class="fa-solid fa-location-dot"></i>
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-group">
										<label>Drop location </label>
										<input type="text" class="form-control" placeholder="Drop Location"
											id="drop_location" disabled>
										<div class="formicon red">
											<i class="fa-solid fa-location-dot"></i>
										</div>
									</div>
								</div>

							</div>
							<div class="row">
								<div class="col-md-4">
									<div class="form-group">
										<label>Pick Up Address</label>
										<input type="text" class="form-control" placeholder="Enter Pick Up Address">
										<div class="formicon grn">
											<i class="fa-solid fa-location-dot"></i>
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-group">
										<label>Drop Address</label>
										<input type="text" class="form-control" placeholder="Enter Drop Address">
										<div class="formicon red">
											<i class="fa-solid fa-location-dot"></i>
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-group">
										<label for="taxidaytime">Pick Up Date & Time</label>
										<!-- <input type="datetime-local" class="form-control" id="taxidaytime" name="Day&time"> -->
										<input id="datetimepicker" type="text" placeholder="date and time">
									</div>
								</div>

							</div>
						</div>
						<div class="srchwrp">
							<a href="bus-booking.php" class="searchbtn booktaxiButton">Book Taxi</a>

						</div>
					</div>
				</div>
			</div>


		</div>
	</div>
</section>
<?php include 'footer.php'; ?>
<script>
	$(document).ready(function () {
		$('#explodeBtn').click(function () {
			var inputString = $('#inputString').val();
			var delimiter = $('#delimiter').val();
			var explodedArray = inputString.split(delimiter);
			$('#result').text(JSON.stringify(explodedArray));
		});
	});

	function getParts(val) {
		var explodedArray = val.split(' To ');
		$('#pickup_location').val(explodedArray[0]);
		$('#drop_location').val(explodedArray[1]);

	}

</script>
<script>
	$(document).ready(function () {
		// Enabling ripple effect
		ej.base.enableRipple(false);
		// Creating DateTimePicker instance
		let datetimepicker = new ej.calendars.DateTimePicker({
			format: 'dd-MMM-yy hh:mm a',
			// value: new Date(),
			placeholder: 'DD/MM/YYYY HH:MM',
			width: "233px"
		});
		// Appending DateTimePicker to an element with ID 'datetimepicker'
		datetimepicker.appendTo('#datetimepicker');
		// Showing time
		datetimepicker.hide("time");
	});
</script>